<template>
  <div>
    <q-card>
      <q-img :src="foto" />
    </q-card>
    <br />

    <div class="text-titulo q-pa-xs">Datos cargados por el usuario</div>
    <q-card v>
      <q-list bordered separator>
        <q-item>
          <q-item-section avatar>
            <q-icon name="call" />
          </q-item-section>
          <q-item-section>Celular</q-item-section>
          <q-item-section side>{{ dataSet?.celular }}</q-item-section>
        </q-item>

        <q-item>
          <q-item-section avatar>
            <q-icon name="alternate_email" />
          </q-item-section>
          <q-item-section>Correo</q-item-section>
          <q-item-section side>{{ dataSet?.email }}</q-item-section>
        </q-item>

        <q-item>
          <q-item-section avatar>
            <q-icon name="engineering" />
          </q-item-section>
          <q-item-section>Profesion</q-item-section>
          <q-item-section side>{{ dataSet?.profesion }}</q-item-section>
        </q-item>

        <q-item>
          <q-item-section avatar>
            <q-icon name="pets" />
          </q-item-section>
          <q-item-section>Totem</q-item-section>
          <q-item-section side>{{ dataSet?.totem }}</q-item-section>
        </q-item>

        <q-item v-if="dataSet?.alimentacion_especial == 'S'">
          <q-item-section avatar>
            <q-icon name="restaurant" />
          </q-item-section>
          <q-item-section>Dieta</q-item-section>
          <q-item-section side>{{
            dataSet?.alimentacion_especial
          }}</q-item-section>
        </q-item>
        <q-item>
          <q-item-section avatar>
            <q-icon name="update" />
          </q-item-section>
          <q-item-section>Ult. Actualizacion</q-item-section>
          <q-item-section side>{{ dataSet?.actualizacion }}</q-item-section>
        </q-item>
      </q-list>
    </q-card>
    <Loading :showing="loading" />
  </div>
</template>

<script lang="ts">
import { defineComponent, ref, onMounted } from 'vue';
import { useRoute } from 'vue-router';
import { api } from 'src/boot/axios/index';
import { AxiosResponse } from 'axios';
import { PersonaDatosInterface } from 'src/interfaces/PersonasInterface';
import Loading from 'src/components/Loading.vue';
export default defineComponent({
  name: 'DatosPersonales',
  components: { Loading },
  setup() {
    const loading = ref(false);
    const route = useRoute();
    // En un futuro .. en vez de tomar el uuid de la url .. podria ser un componente .. por si lo tengo que reutilizar desde otro lado
    // que recibe el uuil de forma directa
    const uuid = String(
      route.params.uuid === undefined ? '' : route.params.uuid
    );

    const foto = ref(process.env.ENV_API_HOST + '/api/foto/' + uuid);

    onMounted(() => {
      getDatosPersonales();
    });

    const dataSet = ref<PersonaDatosInterface>();

    function getDatosPersonales() {
      api
        .get('/api/persona/datos/' + uuid)
        .then((response: AxiosResponse) => {
          dataSet.value = response.data;
        })
        .finally(() => {
          loading.value = false;
        });
    }

    return { loading, foto, uuid, dataSet };
  },
});
</script>
